import angular from "angular";

export default angular
  .module("webui.services.configuration", [])
  .constant("$name", "Aria2 WebUI")
  .constant("$titlePattern", "active: {active} - waiting: {waiting} - stopped: {stopped} — {name}")
  .constant("$pageSize", 11)
  .constant("$authconf", {
    host: location.hostname,
    path: "/jsonrpc",
    port: location.protocol === 'https:' ? 443 : 80,
    encrypt: location.protocol === 'https:',
    directURL: "/download/"
  })
  .constant("$enable", {
    torrent: true,
    metalink: true,
    sidebar: {
      show: true,
      stats: true,
      filters: true,
      starredProps: true
    }
  })
  .constant("$starredProps", [
    "max-overall-download-limit",
    "max-overall-upload-limit"
  ])
  .constant("$downloadProps", [
    "header",
    "http-user",
    "http-passwd",
    "pause",
    "dir",
    "max-connection-per-server"
  ])
  .constant("$globalTimeout", 1000).name;
